<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>iPcZoneManager Struct Reference (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">iPcZoneManager Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="iPcZoneManager" --><!-- doxytag: inherits="iBase" -->
<p>This is the zone manager.  
 <a href="structiPcZoneManager.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="zone_8h_source.html">propclass/zone.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for iPcZoneManager:</div>
<div class="dyncontent">
 <div class="center">
  <img src="structiPcZoneManager.png" usemap="#iPcZoneManager_map" alt=""/>
  <map id="iPcZoneManager_map" name="iPcZoneManager_map">
<area doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html" alt="iBase" shape="rect" coords="0,0,111,24"/>
</map>
 </div></div>

<p><a href="structiPcZoneManager-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcZoneManager.html#a0de36b9d1873b1d105fd3e443e71d704">ActivateRegion</a> (<a class="el" href="structiCelRegion.html">iCelRegion</a> *region, bool allow_entity_addon=true)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Activate some region.  <a href="#a0de36b9d1873b1d105fd3e443e71d704"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="structiCelRegion.html">iCelRegion</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcZoneManager.html#ab1960c75e227d97c34bfae8e382fcc4d">CreateRegion</a> (const char *name)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Create a region.  <a href="#ab1960c75e227d97c34bfae8e382fcc4d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="structiCelZone.html">iCelZone</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcZoneManager.html#a80b4c297ec14ad447c9c19d3159f7608">CreateZone</a> (const char *name)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Create a zone.  <a href="#a80b4c297ec14ad447c9c19d3159f7608"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcZoneManager.html#add89269f0e1af37bb297529927a69e00">EnableColliderWrappers</a> (bool en)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">By default the zone manager will create collider wrappers (<a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsColliderWrapper.html">csColliderWrapper</a>) for all objects that are loaded.  <a href="#add89269f0e1af37bb297529927a69e00"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="structiCelRegion.html">iCelRegion</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcZoneManager.html#abd76fe51e6da72e9913d57637d71fb44">FindRegion</a> (const char *name) const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the specified region.  <a href="#abd76fe51e6da72e9913d57637d71fb44"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="structiCelRegion.html">iCelRegion</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcZoneManager.html#a35b712c725653574c699ba0805221e54">FindRegionContaining</a> (<a class="el" href="structiCelEntity.html">iCelEntity</a> *ent)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the region containing the specified entity.  <a href="#a35b712c725653574c699ba0805221e54"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcZoneManager.html#af920920bd34f146ef01c7c5bc363b6d5">FindStartLocations</a> (<a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiStringArray.html">iStringArray</a> *regionnames, <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiStringArray.html">iStringArray</a> *startnames)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Find all valid starting locations in all current loaded regions.  <a href="#af920920bd34f146ef01c7c5bc363b6d5"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="structiCelZone.html">iCelZone</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcZoneManager.html#a1852efafce826fcf486e8b4ca735253c">FindZone</a> (const char *name) const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the specified zone.  <a href="#a1852efafce826fcf486e8b4ca735253c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcZoneManager.html#af0ac2ea2e53b7aa6091dde8e27a1a9f5">GetLastStartLocation</a> (<a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiString.html">iString</a> *regionname, <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiString.html">iString</a> *startname)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Return the last used region and startname for <a class="el" href="structiPcZoneManager.html#a26844c8000dd15fa16b00f333995906b" title="Take the specified region (by name), load all zones associated with that region and then setup the gi...">PointCamera()</a> or <a class="el" href="structiPcZoneManager.html#a433048a44ab42bac6e1fd0a9ffb55d22" title="Take the specified region (by name), load all zones associated with that region and then place the gi...">PointMesh()</a>.  <a href="#af0ac2ea2e53b7aa6091dde8e27a1a9f5"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual const char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcZoneManager.html#a092e0d840b6b4998aba8f79e72c70f19">GetLastStartName</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Return the last used startname name for <a class="el" href="structiPcZoneManager.html#a26844c8000dd15fa16b00f333995906b" title="Take the specified region (by name), load all zones associated with that region and then setup the gi...">PointCamera()</a> or <a class="el" href="structiPcZoneManager.html#a433048a44ab42bac6e1fd0a9ffb55d22" title="Take the specified region (by name), load all zones associated with that region and then place the gi...">PointMesh()</a>.  <a href="#a092e0d840b6b4998aba8f79e72c70f19"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual const char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcZoneManager.html#a450fe5de0441e4215a9495ee11feb2c5">GetLastStartRegionName</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Return the last used region name for <a class="el" href="structiPcZoneManager.html#a26844c8000dd15fa16b00f333995906b" title="Take the specified region (by name), load all zones associated with that region and then setup the gi...">PointCamera()</a> or <a class="el" href="structiPcZoneManager.html#a433048a44ab42bac6e1fd0a9ffb55d22" title="Take the specified region (by name), load all zones associated with that region and then place the gi...">PointMesh()</a>.  <a href="#a450fe5de0441e4215a9495ee11feb2c5"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcZoneManager.html#a58af2e1033f85ee8a57b2097a3867e47">GetLoadingMode</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the current loading mode.  <a href="#a58af2e1033f85ee8a57b2097a3867e47"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="structiCelRegion.html">iCelRegion</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcZoneManager.html#a54f5a59dfcb1e030d43bc78408e1c9d6">GetRegion</a> (int idx) const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the specified region.  <a href="#a54f5a59dfcb1e030d43bc78408e1c9d6"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcZoneManager.html#aa0acf18a8435c0f8ff1570be4f551901">GetRegionCount</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the count of regions.  <a href="#aa0acf18a8435c0f8ff1570be4f551901"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="structiCelZone.html">iCelZone</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcZoneManager.html#a2eb075573eb8bb1956896bcfe2b1895b">GetZone</a> (int idx) const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the specified zone.  <a href="#a2eb075573eb8bb1956896bcfe2b1895b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcZoneManager.html#a5b0e1ff1c1a70fae0076b2fafbcc3fbb">GetZoneCount</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the count of zones.  <a href="#a5b0e1ff1c1a70fae0076b2fafbcc3fbb"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcZoneManager.html#ac7cdb771b534855856b251b0ccfc2512">IsColliderWrappers</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Is collider wrapper creation enabled?  <a href="#ac7cdb771b534855856b251b0ccfc2512"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcZoneManager.html#a13cbe7fc4ce7f646a7269f9a352aa064">Load</a> (<a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiDocumentNode.html">iDocumentNode</a> *node)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Load a zone definition from an XML node.  <a href="#a13cbe7fc4ce7f646a7269f9a352aa064"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcZoneManager.html#adeb5fcc346061217d5ed0b6c077f6036">Load</a> (const char *path, const char *file)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Load a zone definition from an XML file.  <a href="#adeb5fcc346061217d5ed0b6c077f6036"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcZoneManager.html#a26844c8000dd15fa16b00f333995906b">PointCamera</a> (const char *entity, const char *regionname, const char *startname=0)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Take the specified region (by name), load all zones associated with that region and then setup the given pccamera so that it points to the specified starting position in this region.  <a href="#a26844c8000dd15fa16b00f333995906b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcZoneManager.html#a433048a44ab42bac6e1fd0a9ffb55d22">PointMesh</a> (const char *entity, const char *regionname, const char *startname=0)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Take the specified region (by name), load all zones associated with that region and then place the given pcmesh so that it is positioned at the specified starting position in this region.  <a href="#a433048a44ab42bac6e1fd0a9ffb55d22"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcZoneManager.html#a1d52507de3b78b0d1332bbb06bd8a7f2">RemoveAllRegions</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Remove all regions from this zone.  <a href="#a1d52507de3b78b0d1332bbb06bd8a7f2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcZoneManager.html#a973b3fbc9c3a9c09e3ed26d7d5539847">RemoveAllZones</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Remove all zones.  <a href="#a973b3fbc9c3a9c09e3ed26d7d5539847"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcZoneManager.html#a732aeeded953d977c9b0e0e96c8e701a">RemoveRegion</a> (<a class="el" href="structiCelRegion.html">iCelRegion</a> *region)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Delete the given region.  <a href="#a732aeeded953d977c9b0e0e96c8e701a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcZoneManager.html#a402627052fbb1de675e74218ba1fb0e8">RemoveZone</a> (<a class="el" href="structiCelZone.html">iCelZone</a> *zone)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Delete the given zone.  <a href="#a402627052fbb1de675e74218ba1fb0e8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcZoneManager.html#a3de2d560ce11b784f3066b8547f94fdb">SetLoadingMode</a> (int mode)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set different loading mode:  <a href="#a3de2d560ce11b784f3066b8547f94fdb"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>This is the zone manager. </p>
<p>In this property class you can define zones. A zone is a collection of regions that are either all together in memory or not at all. A region is made from a set of maps and represents the actual geometry that is in memory. A region is loaded or unloaded as one unit. A region can be in multiple zones. In that case if you are in some region then all zones that contain that region will be in memory, The representation of a region.</p>
<p>This property class supports the following actions (add prefix 'cel.zone.action.' if you want to access this action through a message):</p>
<ul>
<li>DisableCD: no parameters. Don't create collider wrappers.</li>
<li>EnableCD: no parameters. Create collider wrappers (default).</li>
<li>Load: parameters 'path' (string: optional), and 'file' (string).</li>
<li>PointMesh: parameters 'entity' (string), 'region' (string), and 'start' (string).</li>
<li>PointCamera: parameters 'entity' (string), 'region' (string), and 'start' (string).</li>
<li>SetLoadingMode: parameters 'mode' (string: one of 'loadall', 'normal', or 'keep').</li>
<li>ActivateRegion: parameters 'region' (string).</li>
<li>CreateRegion: parameters 'name' (string).</li>
<li>RemoveRegion: parameters 'name' (string).</li>
<li>CreateZone: parameters 'name' (string).</li>
<li>RemoveZone: parameters 'name' (string).</li>
<li>CreateMap: parameters 'region' (string) 'name' (string) 'path' (string) 'file' (string).</li>
<li>RemoveMap: parameters 'region' (string) 'name' (string).</li>
<li>SetCache: parameters 'region' (string) 'path' (string).</li>
<li>LinkRegion: parameters 'zone' (string) 'region' (string).</li>
<li>UnlinkRegion: parameters 'zone' (string) 'region' (string).</li>
</ul>
<p>This property class supports the following properties:</p>
<ul>
<li>laststart (string, read only): last used start location.</li>
<li>lastregion (string, read only): last used region.</li>
</ul>
<p>This property class can send out the following messages:</p>
<ul>
<li>'cel.region.add' (old 'pczonemanager_addregion'): new region has been added (region)</li>
<li>'cel.region.remove' (old 'pczonemanager_remregion'): region will be removed (region)</li>
<li>'cel.region.load.start' (old 'pczonemanager_startloading'): loading of regions starts</li>
<li>'cel.region.load.stop' (old 'pczonemanager_stoploading'): loading of regions stops</li>
<li>'cel.region.load.error' (old 'pczonemanager_errorloading'): loading of regions stops with error (region) </li>
</ul>

<p>Definition at line <a class="el" href="zone_8h_source.html#l00299">299</a> of file <a class="el" href="zone_8h_source.html">zone.h</a>.</p>
</div><hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a0de36b9d1873b1d105fd3e443e71d704"></a><!-- doxytag: member="iPcZoneManager::ActivateRegion" ref="a0de36b9d1873b1d105fd3e443e71d704" args="(iCelRegion *region, bool allow_entity_addon=true)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="structiPcZoneManager.html#a0de36b9d1873b1d105fd3e443e71d704">iPcZoneManager::ActivateRegion</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structiCelRegion.html">iCelRegion</a> *&#160;</td>
          <td class="paramname"><em>region</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>allow_entity_addon</em> = <code>true</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Activate some region. </p>
<p>This will load all zones that contain the given region and unload all other zones. It is safe to call this too many times as it will check if a region or zone is already loaded or not and avoid doing unneeded work. </p>

</div>
</div>
<a class="anchor" id="ab1960c75e227d97c34bfae8e382fcc4d"></a><!-- doxytag: member="iPcZoneManager::CreateRegion" ref="ab1960c75e227d97c34bfae8e382fcc4d" args="(const char *name)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="structiCelRegion.html">iCelRegion</a>* <a class="el" href="structiPcZoneManager.html#ab1960c75e227d97c34bfae8e382fcc4d">iPcZoneManager::CreateRegion</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>name</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Create a region. </p>

</div>
</div>
<a class="anchor" id="a80b4c297ec14ad447c9c19d3159f7608"></a><!-- doxytag: member="iPcZoneManager::CreateZone" ref="a80b4c297ec14ad447c9c19d3159f7608" args="(const char *name)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="structiCelZone.html">iCelZone</a>* <a class="el" href="structiPcZoneManager.html#a80b4c297ec14ad447c9c19d3159f7608">iPcZoneManager::CreateZone</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>name</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Create a zone. </p>

</div>
</div>
<a class="anchor" id="add89269f0e1af37bb297529927a69e00"></a><!-- doxytag: member="iPcZoneManager::EnableColliderWrappers" ref="add89269f0e1af37bb297529927a69e00" args="(bool en)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcZoneManager.html#add89269f0e1af37bb297529927a69e00">iPcZoneManager::EnableColliderWrappers</a> </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>en</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>By default the zone manager will create collider wrappers (<a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsColliderWrapper.html">csColliderWrapper</a>) for all objects that are loaded. </p>
<p>If you don't want that behaviour you can disable it here. </p>

</div>
</div>
<a class="anchor" id="abd76fe51e6da72e9913d57637d71fb44"></a><!-- doxytag: member="iPcZoneManager::FindRegion" ref="abd76fe51e6da72e9913d57637d71fb44" args="(const char *name) const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="structiCelRegion.html">iCelRegion</a>* <a class="el" href="structiPcZoneManager.html#abd76fe51e6da72e9913d57637d71fb44">iPcZoneManager::FindRegion</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>name</em></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the specified region. </p>

</div>
</div>
<a class="anchor" id="a35b712c725653574c699ba0805221e54"></a><!-- doxytag: member="iPcZoneManager::FindRegionContaining" ref="a35b712c725653574c699ba0805221e54" args="(iCelEntity *ent)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="structiCelRegion.html">iCelRegion</a>* <a class="el" href="structiPcZoneManager.html#a35b712c725653574c699ba0805221e54">iPcZoneManager::FindRegionContaining</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structiCelEntity.html">iCelEntity</a> *&#160;</td>
          <td class="paramname"><em>ent</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the region containing the specified entity. </p>

</div>
</div>
<a class="anchor" id="af920920bd34f146ef01c7c5bc363b6d5"></a><!-- doxytag: member="iPcZoneManager::FindStartLocations" ref="af920920bd34f146ef01c7c5bc363b6d5" args="(iStringArray *regionnames, iStringArray *startnames)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcZoneManager.html#af920920bd34f146ef01c7c5bc363b6d5">iPcZoneManager::FindStartLocations</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiStringArray.html">iStringArray</a> *&#160;</td>
          <td class="paramname"><em>regionnames</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiStringArray.html">iStringArray</a> *&#160;</td>
          <td class="paramname"><em>startnames</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Find all valid starting locations in all current loaded regions. </p>

</div>
</div>
<a class="anchor" id="a1852efafce826fcf486e8b4ca735253c"></a><!-- doxytag: member="iPcZoneManager::FindZone" ref="a1852efafce826fcf486e8b4ca735253c" args="(const char *name) const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="structiCelZone.html">iCelZone</a>* <a class="el" href="structiPcZoneManager.html#a1852efafce826fcf486e8b4ca735253c">iPcZoneManager::FindZone</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>name</em></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the specified zone. </p>

</div>
</div>
<a class="anchor" id="af0ac2ea2e53b7aa6091dde8e27a1a9f5"></a><!-- doxytag: member="iPcZoneManager::GetLastStartLocation" ref="af0ac2ea2e53b7aa6091dde8e27a1a9f5" args="(iString *regionname, iString *startname)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcZoneManager.html#af0ac2ea2e53b7aa6091dde8e27a1a9f5">iPcZoneManager::GetLastStartLocation</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiString.html">iString</a> *&#160;</td>
          <td class="paramname"><em>regionname</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiString.html">iString</a> *&#160;</td>
          <td class="paramname"><em>startname</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Return the last used region and startname for <a class="el" href="structiPcZoneManager.html#a26844c8000dd15fa16b00f333995906b" title="Take the specified region (by name), load all zones associated with that region and then setup the gi...">PointCamera()</a> or <a class="el" href="structiPcZoneManager.html#a433048a44ab42bac6e1fd0a9ffb55d22" title="Take the specified region (by name), load all zones associated with that region and then place the gi...">PointMesh()</a>. </p>
<p>Returns an empty region name if those functions have not been called yet. </p>

</div>
</div>
<a class="anchor" id="a092e0d840b6b4998aba8f79e72c70f19"></a><!-- doxytag: member="iPcZoneManager::GetLastStartName" ref="a092e0d840b6b4998aba8f79e72c70f19" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual const char* <a class="el" href="structiPcZoneManager.html#a092e0d840b6b4998aba8f79e72c70f19">iPcZoneManager::GetLastStartName</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Return the last used startname name for <a class="el" href="structiPcZoneManager.html#a26844c8000dd15fa16b00f333995906b" title="Take the specified region (by name), load all zones associated with that region and then setup the gi...">PointCamera()</a> or <a class="el" href="structiPcZoneManager.html#a433048a44ab42bac6e1fd0a9ffb55d22" title="Take the specified region (by name), load all zones associated with that region and then place the gi...">PointMesh()</a>. </p>

</div>
</div>
<a class="anchor" id="a450fe5de0441e4215a9495ee11feb2c5"></a><!-- doxytag: member="iPcZoneManager::GetLastStartRegionName" ref="a450fe5de0441e4215a9495ee11feb2c5" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual const char* <a class="el" href="structiPcZoneManager.html#a450fe5de0441e4215a9495ee11feb2c5">iPcZoneManager::GetLastStartRegionName</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Return the last used region name for <a class="el" href="structiPcZoneManager.html#a26844c8000dd15fa16b00f333995906b" title="Take the specified region (by name), load all zones associated with that region and then setup the gi...">PointCamera()</a> or <a class="el" href="structiPcZoneManager.html#a433048a44ab42bac6e1fd0a9ffb55d22" title="Take the specified region (by name), load all zones associated with that region and then place the gi...">PointMesh()</a>. </p>
<p>Returns an empty region name if those functions have not been called yet. </p>

</div>
</div>
<a class="anchor" id="a58af2e1033f85ee8a57b2097a3867e47"></a><!-- doxytag: member="iPcZoneManager::GetLoadingMode" ref="a58af2e1033f85ee8a57b2097a3867e47" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual int <a class="el" href="structiPcZoneManager.html#a58af2e1033f85ee8a57b2097a3867e47">iPcZoneManager::GetLoadingMode</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the current loading mode. </p>

</div>
</div>
<a class="anchor" id="a54f5a59dfcb1e030d43bc78408e1c9d6"></a><!-- doxytag: member="iPcZoneManager::GetRegion" ref="a54f5a59dfcb1e030d43bc78408e1c9d6" args="(int idx) const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="structiCelRegion.html">iCelRegion</a>* <a class="el" href="structiPcZoneManager.html#a54f5a59dfcb1e030d43bc78408e1c9d6">iPcZoneManager::GetRegion</a> </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>idx</em></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the specified region. </p>

</div>
</div>
<a class="anchor" id="aa0acf18a8435c0f8ff1570be4f551901"></a><!-- doxytag: member="iPcZoneManager::GetRegionCount" ref="aa0acf18a8435c0f8ff1570be4f551901" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual size_t <a class="el" href="structiPcZoneManager.html#aa0acf18a8435c0f8ff1570be4f551901">iPcZoneManager::GetRegionCount</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the count of regions. </p>

</div>
</div>
<a class="anchor" id="a2eb075573eb8bb1956896bcfe2b1895b"></a><!-- doxytag: member="iPcZoneManager::GetZone" ref="a2eb075573eb8bb1956896bcfe2b1895b" args="(int idx) const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="structiCelZone.html">iCelZone</a>* <a class="el" href="structiPcZoneManager.html#a2eb075573eb8bb1956896bcfe2b1895b">iPcZoneManager::GetZone</a> </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>idx</em></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the specified zone. </p>

</div>
</div>
<a class="anchor" id="a5b0e1ff1c1a70fae0076b2fafbcc3fbb"></a><!-- doxytag: member="iPcZoneManager::GetZoneCount" ref="a5b0e1ff1c1a70fae0076b2fafbcc3fbb" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual size_t <a class="el" href="structiPcZoneManager.html#a5b0e1ff1c1a70fae0076b2fafbcc3fbb">iPcZoneManager::GetZoneCount</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the count of zones. </p>

</div>
</div>
<a class="anchor" id="ac7cdb771b534855856b251b0ccfc2512"></a><!-- doxytag: member="iPcZoneManager::IsColliderWrappers" ref="ac7cdb771b534855856b251b0ccfc2512" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="structiPcZoneManager.html#ac7cdb771b534855856b251b0ccfc2512">iPcZoneManager::IsColliderWrappers</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Is collider wrapper creation enabled? </p>

</div>
</div>
<a class="anchor" id="a13cbe7fc4ce7f646a7269f9a352aa064"></a><!-- doxytag: member="iPcZoneManager::Load" ref="a13cbe7fc4ce7f646a7269f9a352aa064" args="(iDocumentNode *node)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="structiPcZoneManager.html#a13cbe7fc4ce7f646a7269f9a352aa064">iPcZoneManager::Load</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiDocumentNode.html">iDocumentNode</a> *&#160;</td>
          <td class="paramname"><em>node</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Load a zone definition from an XML node. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">node</td><td>is the node containing region and zone definitions. </td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>true on success. On failure the error will be reported to the reporter and false will be returned. </dd></dl>

</div>
</div>
<a class="anchor" id="adeb5fcc346061217d5ed0b6c077f6036"></a><!-- doxytag: member="iPcZoneManager::Load" ref="adeb5fcc346061217d5ed0b6c077f6036" args="(const char *path, const char *file)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="structiPcZoneManager.html#a13cbe7fc4ce7f646a7269f9a352aa064">iPcZoneManager::Load</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>path</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Load a zone definition from an XML file. </p>
<p>The XML file should contain a 'level' or 'world' node. In case it is a 'world' file then the zone manager will automatically create a region called 'main' and a zone called 'main' with a default start location. This is a convenience. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">path</td><td>is a VFS path. Current VFS dir will be set to that path. Can be 0 if no path is desired. </td></tr>
    <tr><td class="paramname">file</td><td>is a VFS file. </td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>true on success. On failure the error will be reported to the reporter and false will be returned. </dd></dl>

</div>
</div>
<a class="anchor" id="a26844c8000dd15fa16b00f333995906b"></a><!-- doxytag: member="iPcZoneManager::PointCamera" ref="a26844c8000dd15fa16b00f333995906b" args="(const char *entity, const char *regionname, const char *startname=0)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual int <a class="el" href="structiPcZoneManager.html#a26844c8000dd15fa16b00f333995906b">iPcZoneManager::PointCamera</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>entity</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>regionname</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>startname</em> = <code>0</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Take the specified region (by name), load all zones associated with that region and then setup the given pccamera so that it points to the specified starting position in this region. </p>
<p>If 0 is given then the default position will be used. Returns one of:</p>
<ul>
<li>#CEL_ZONEERROR_OK: no error</li>
<li>#CEL_ZONEERROR_BADREGION: can't find region</li>
<li>#CEL_ZONEERROR_BADSTART: can't find start</li>
<li>#CEL_ZONEERROR_LOAD: error loading zone</li>
</ul>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">entity</td><td>is the name of the entity that contains the pccamera property class. </td></tr>
    <tr><td class="paramname">regionname</td><td>the name of the region to load. </td></tr>
    <tr><td class="paramname">startname</td><td>the name of the starting position. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a433048a44ab42bac6e1fd0a9ffb55d22"></a><!-- doxytag: member="iPcZoneManager::PointMesh" ref="a433048a44ab42bac6e1fd0a9ffb55d22" args="(const char *entity, const char *regionname, const char *startname=0)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual int <a class="el" href="structiPcZoneManager.html#a433048a44ab42bac6e1fd0a9ffb55d22">iPcZoneManager::PointMesh</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>entity</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>regionname</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>startname</em> = <code>0</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Take the specified region (by name), load all zones associated with that region and then place the given pcmesh so that it is positioned at the specified starting position in this region. </p>
<p>If 0 is given then the default position will be used. Returns one of:</p>
<ul>
<li>#CEL_ZONEERROR_OK: no error</li>
<li>#CEL_ZONEERROR_BADREGION: can't find region</li>
<li>#CEL_ZONEERROR_BADSTART: can't find start</li>
<li>#CEL_ZONEERROR_LOAD: error loading zone</li>
</ul>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">entity</td><td>is the name of the entity that contains the pcmesh property class. </td></tr>
    <tr><td class="paramname">regionname</td><td>the name of the region to load. </td></tr>
    <tr><td class="paramname">startname</td><td>the name of the starting position. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a1d52507de3b78b0d1332bbb06bd8a7f2"></a><!-- doxytag: member="iPcZoneManager::RemoveAllRegions" ref="a1d52507de3b78b0d1332bbb06bd8a7f2" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcZoneManager.html#a1d52507de3b78b0d1332bbb06bd8a7f2">iPcZoneManager::RemoveAllRegions</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Remove all regions from this zone. </p>

</div>
</div>
<a class="anchor" id="a973b3fbc9c3a9c09e3ed26d7d5539847"></a><!-- doxytag: member="iPcZoneManager::RemoveAllZones" ref="a973b3fbc9c3a9c09e3ed26d7d5539847" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcZoneManager.html#a973b3fbc9c3a9c09e3ed26d7d5539847">iPcZoneManager::RemoveAllZones</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Remove all zones. </p>

</div>
</div>
<a class="anchor" id="a732aeeded953d977c9b0e0e96c8e701a"></a><!-- doxytag: member="iPcZoneManager::RemoveRegion" ref="a732aeeded953d977c9b0e0e96c8e701a" args="(iCelRegion *region)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="structiPcZoneManager.html#a732aeeded953d977c9b0e0e96c8e701a">iPcZoneManager::RemoveRegion</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structiCelRegion.html">iCelRegion</a> *&#160;</td>
          <td class="paramname"><em>region</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Delete the given region. </p>
<p>Returns false if the region could not be found in this zone. </p>

</div>
</div>
<a class="anchor" id="a402627052fbb1de675e74218ba1fb0e8"></a><!-- doxytag: member="iPcZoneManager::RemoveZone" ref="a402627052fbb1de675e74218ba1fb0e8" args="(iCelZone *zone)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="structiPcZoneManager.html#a402627052fbb1de675e74218ba1fb0e8">iPcZoneManager::RemoveZone</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structiCelZone.html">iCelZone</a> *&#160;</td>
          <td class="paramname"><em>zone</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Delete the given zone. </p>
<p>Returns false if the zone could not be found. </p>

</div>
</div>
<a class="anchor" id="a3de2d560ce11b784f3066b8547f94fdb"></a><!-- doxytag: member="iPcZoneManager::SetLoadingMode" ref="a3de2d560ce11b784f3066b8547f94fdb" args="(int mode)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcZoneManager.html#a3de2d560ce11b784f3066b8547f94fdb">iPcZoneManager::SetLoadingMode</a> </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>mode</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set different loading mode: </p>
<ul>
<li>CEL_ZONE_NORMAL: load/unload regions as needed (default).</li>
<li>CEL_ZONE_KEEP: load regions as needed but keep them in memory.</li>
<li>CEL_ZONE_LOADALL: load all regions immediatelly. Setting CEL_ZONE_LOADALL will immediatelly cause all regions to be loaded. </li>
</ul>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>propclass/<a class="el" href="zone_8h_source.html">zone.h</a></li>
</ul>
</div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
